Subject: [alpine-devel] new aport wget

From: "Carlo Landmeter" <[email-masked]>
Date: Fri, 30 Jan 2009 09:28:56 +0000

see attached git patch

carlo

From d0074303d52b7bcaf862184ad97e0043cbadac1c Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Fri, 30 Jan 2009 09:27:46 +0000
Subject: [PATCH] extra/wget: new aport

---
 extra/wget/APKBUILD |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)
 create mode 100644 extra/wget/APKBUILD

diff --git a/extra/wget/APKBUILD b/extra/wget/APKBUILD
new file mode 100644
index 0000000..2063b1f
--- /dev/null
+++ b/extra/wget/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: Carlo Landmeter <clandmeter at gmail>
+# Maintainer: Carlo Landmeter <clandmeter at gmail>
+pkgname=wget
+pkgver=1.11.4
+pkgrel=0
+pkgdesc="A network utility to retrieve files from the Web"
+url="http://www.gnu.org/software/wget/wget.html"
+license="GPL3"
+depends="openssl"
+makedepends="openssl-dev"
+subpackages="$pkgname-doc"
+source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="69e8a7296c0e12c53bd9ffd786462e87  wget-1.11.4.tar.gz"
-- 
1.6.1

---

From: Natanael Copa <[email-masked]>
Date: Fri, 30 Jan 2009 11:56:48 +0100

> carlo

committed. I noticed that wget automatically detects libintl (gettext)
and linked it in. I added --disable-nls which seems to solve the
problem.

We don't want program so use libintl if they absolutely dont require it.
(so far i think glib is the only one that really require it)

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---